<script setup>
    import BoutonModifier from '../boutons/BoutonModifier.vue';
    import BoutonSupprimer from '../boutons/BoutonSupprimer.vue';
    const props = defineProps(['facture'])
</script>

<template>
    <div class="facture-card">
        <div class="card-header">
            <h1 class="card-title">Facture n°{{ props.facture.idFacture }}</h1>
            <div class="buttons">
                <BoutonModifier :href="'/factures/' + props.facture.idFacture" />
                <BoutonSupprimer @click="$emit('supprimer', props.facture.idFacture)" />
            </div>
        </div>
        <div class="card-body">
            <div class="facture-info">
                <p><strong>Emetteur:</strong> {{ props.facture.emetteur }}</p>
                <p><strong>Date:</strong> {{ props.facture.date }}</p>
                <p><strong>Montant:</strong> {{ parseFloat(props.facture.prix) / 100.0 }} €</p>
            </div>
            <div class="description">
                <strong>Description:</strong>
                <p>{{ props.facture.description }}</p>
            </div>
        </div>
    </div>
</template>

  
<style scoped>
  .facture-card {
    border: 1px solid #ccc;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease;
  }
  
  .facture-card:hover {
    box-shadow: 0 8px 12px rgba(0, 0, 0, 0.2);
  }
  
  .card-header {
    background-color: #007bff;
    color: white;
    padding: 16px;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
  .card-title {
    font-size: 24px;
    margin: 0;
  }
  
  .buttons {
    display: flex;
    align-items: center;
  }
  
  .buttons > * {
    margin-left: 10px;
  }
  
  .card-body {
    padding: 16px;
  }
  
  .facture-info {
    margin-bottom: 16px;
  }
  
  .description {
    border-left: 4px solid #007bff;
    padding-left: 8px;
  }
</style>
  